Bug 1025957 - [abrt] git-cola-1.8.4-1.fc19: posixpath.py:356:abspath:OSError: [Errno 2] Нет такого файла или каталога
[abrt] git-cola-1.8.4-1.fc19: posixpath.py:356:abspath:OSError: [Errno 2] Нет...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:2833839e126594e0c1c7a15b9db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 09:21 EDT by Vadim
Modified: 2014-06-19 08:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 08:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2013-11-02 09:21 EDT, Vadim
no flags Details
File: dso_list (66 bytes, text/plain)
2013-11-02 09:21 EDT, Vadim
no flags Details
File: environ (1.59 KB, text/plain)
2013-11-02 09:21 EDT, Vadim
no flags Details

  None (edit)
Description Vadim 2013-11-02 09:21:01 EDT
Version-Release number of selected component:
git-cola-1.8.4-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/git-cola --prompt
executable:     /usr/bin/git-cola
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
posixpath.py:356:abspath:OSError: [Errno 2] Нет такого файла или каталога

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/inotify.py", line 216, in run
    notifier.process_events()
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 1295, in process_events
    self._default_proc_fun(revent)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 937, in __call__
    return _ProcessEvent.__call__(self, event)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 668, in __call__
    return self.process_default(event)
  File "/usr/share/git-cola/lib/cola/inotify.py", line 125, in process_default
    path = os.path.relpath(path)
  File "/usr/lib64/python2.7/posixpath.py", line 422, in relpath
    start_list = [x for x in abspath(start).split(sep) if x]
  File "/usr/lib64/python2.7/posixpath.py", line 356, in abspath
    cwd = os.getcwd()
OSError: [Errno 2] Нет такого файла или каталога

Local variables in innermost frame:
path: '.'
Comment 1 Vadim 2013-11-02 09:21:06 EDT
Created attachment 818598 [details]
File: backtrace
Comment 2 Vadim 2013-11-02 09:21:10 EDT
Created attachment 818599 [details]
File: dso_list
Comment 3 Vadim 2013-11-02 09:21:13 EDT
Created attachment 818600 [details]
File: environ
Comment 4 Christopher Meng 2013-11-03 08:14:51 EST
Установите последнюю версию через yum и повторите попытку. Спасибо.

Please update to the latest version of git-cola to 1.8.5 and try again, thanks.

Note You need to log in before you can comment on or make changes to this bug.